using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// 诊室
	/// </summary>
	public interface IDeptService
    {
        List<DeptByLanguage> SelectByLanguage(string filter, int language, int hosId = 0);
        List<DeptByLanguage> SelectOnlineByLanguage(string filter, int language, int type);
        List<DeptModel> SelectIndexDeptByLanguage(int language);
        DeptModel GetDeptById(int id, int language, string userAgent);
        List<int> GetDeptIdIds(int doctorId);
        List<DeptByLanguage> GetAllOnlineDepts(int language);
        List<DeptModel> GetCignaDepts(int language);
        List<DeptModel> GetCignaHomeDepts(int language);
        CignaSearchResult CignaSearch(int language, string keyWords);
        List<DeptByLanguage> GetInsurDept(int language, int type);
    }
}
